Bug 1011328 - MSG: journalctl output when --since and --until is used is confusing
MSG: journalctl output when --since and --until is used is confusing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
All Linux
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 01:53 EDT by mooz
Modified: 2013-10-08 22:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 22:36:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mooz 2013-09-24 01:53:18 EDT
Description of problem:

When issuing the command "journalctl --since=yesterday --until=today", journalctl will not return the desired window of log entries.

Version-Release number of selected component (if applicable):

systemd-201-2.fc18.8.i686

How reproducible:

Always

Steps to Reproduce:
1. Execute "journalctl --since=yesterday --until=today"

Actual results:

[gmann@localhost ~]$ date
Tue Sep 24 01:46:14 EDT 2013
[gmann@localhost ~]$ journalctl --since=yesterday --until=today
-- Logs begin at Tue 2013-09-24 00:30:05 EDT, end at Tue 2013-09-24 01:41:24 EDT. --

Expected results:

[gmann@localhost ~]$ date
Tue Sep 24 01:46:14 EDT 2013
[gmann@localhost ~]$ journalctl --since=yesterday --until=today
-- Logs begin at Tue 2013-09-23 00:00:00 EDT, end at Tue 2013-09-24 01:46:14 (or 00:00:00 would work too.. ) EDT. --
<log results here..>


Additional info:

Furthermore, if specifying a exact date for the options (instead of the hardcoded yesterday, today, etc..) like so "journalctl --since=$(date -d '2 day ago' +%Y-%m-%d) --until=$(date -d '1 day ago' +%Y-%m-%d)" the result will return the following:

[gmann@localhost ~]$ date 
Tue Sep 24 01:51:18 EDT 2013
[gmann@localhost ~]$ journalctl --since=$(date -d '2 day ago' +%Y-%m-%d) --until=$(date -d '1 day ago' +%Y-%m-%d)
-- Logs begin at Tue 2013-09-24 00:30:05 EDT, end at Tue 2013-09-24 01:41:24 EDT. --


[gmann@localhost ~]$ rpm -qa | grep systemd
systemd-sysv-201-2.fc18.8.i686
systemd-libs-201-2.fc18.8.i686
systemd-201-2.fc18.8.i686
systemd-python-201-2.fc18.8.i686
Comment 2 mooz 2013-09-24 02:09:40 EDT
[gmann@localhost ~]$ uname -r
3.10.9-100.fc18.i686.PAE
Comment 3 mooz 2013-09-24 02:34:31 EDT
[gmann@localhost ~]$ strace journalctl --since=$(date -d '2 day ago' +%Y-%m-%d) --until=$(date -d '1 day ago' +%Y-%m-%d)
execve("/usr/bin/journalctl", ["journalctl", "--since=2013-09-22", "--until=2013-09-23"], [/* 48 vars */]) = 0
brk(0)                                  = 0xb8776000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb779b000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=100644, ...}) = 0
mmap2(NULL, 100644, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7782000
close(3)                                = 0
open("/lib/libselinux.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\271pJ4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=138428, ...}) = 0
mmap2(NULL, 142480, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb775f000
mmap2(0xb777f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1f) = 0xb777f000
mmap2(0xb7781000, 3216, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7781000
close(3)                                = 0
open("/lib/liblzma.so.5", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340b`N4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=170756, ...}) = 0
mmap2(NULL, 168240, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7735000
mprotect(0xb775c000, 4096, PROT_NONE)   = 0
mmap2(0xb775d000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x27) = 0xb775d000
close(3)                                = 0
open("/lib/libgcrypt.so.11", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200TBO4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=539976, ...}) = 0
mmap2(NULL, 532556, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb76b2000
mmap2(0xb7731000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7e) = 0xb7731000
mmap2(0xb7734000, 76, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7734000
close(3)                                = 0
open("/lib/libacl.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320v\267N4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=37408, ...}) = 0
mmap2(NULL, 33116, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb76a9000
mmap2(0xb76b0000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7) = 0xb76b0000
close(3)                                = 0
open("/lib/libqrencode.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240!\0\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=52224, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb76a8000
mmap2(NULL, 53964, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb769a000
mmap2(0xb76a6000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xb) = 0xb76a6000
close(3)                                = 0
open("/lib/librt.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \311aJ4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=42160, ...}) = 0
mmap2(NULL, 33324, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7691000
mmap2(0xb7698000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6) = 0xb7698000
close(3)                                = 0
open("/lib/libgcc_s.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@0hJ4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=118156, ...}) = 0
mmap2(NULL, 119344, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7673000
mmap2(0xb768f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1b) = 0xb768f000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\3\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\231EJ4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=2028792, ...}) = 0
mmap2(NULL, 1792732, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb74bd000
mmap2(0xb766d000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1af) = 0xb766d000
mmap2(0xb7670000, 10972, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7670000
close(3)                                = 0
open("/lib/libpcre.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240$jJ4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=410084, ...}) = 0
mmap2(NULL, 405844, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7459000
mmap2(0xb74bb000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x61) = 0xb74bb000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\212_J4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=19764, ...}) = 0
mmap2(NULL, 16508, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7454000
mmap2(0xb7457000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2) = 0xb7457000
close(3)                                = 0
open("/lib/libpthread.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0pI`J4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=131084, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7453000
mmap2(NULL, 102908, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7439000
mmap2(0xb744f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15) = 0xb744f000
mmap2(0xb7451000, 4604, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7451000
close(3)                                = 0
open("/lib/libgpg-error.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\246AO4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=16008, ...}) = 0
mmap2(NULL, 16428, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb7434000
mmap2(0xb7437000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2) = 0xb7437000
close(3)                                = 0
open("/lib/libattr.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0pNlO4\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=20404, ...}) = 0
mmap2(NULL, 20652, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb742e000
mmap2(0xb7432000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3) = 0xb7432000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb742d000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb742c000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb742c780, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xb766d000, 8192, PROT_READ)   = 0
mprotect(0xb7432000, 4096, PROT_READ)   = 0
mprotect(0xb7437000, 4096, PROT_READ)   = 0
mprotect(0xb744f000, 4096, PROT_READ)   = 0
mprotect(0xb7457000, 4096, PROT_READ)   = 0
mprotect(0xb74bb000, 4096, PROT_READ)   = 0
mprotect(0xb768f000, 4096, PROT_READ)   = 0
mprotect(0xb7698000, 4096, PROT_READ)   = 0
mprotect(0xb76a6000, 4096, PROT_READ)   = 0
mprotect(0xb76b0000, 4096, PROT_READ)   = 0
mprotect(0xb7731000, 4096, PROT_READ)   = 0
mprotect(0xb775d000, 4096, PROT_READ)   = 0
mprotect(0xb777f000, 4096, PROT_READ)   = 0
mprotect(0xb77f3000, 4096, PROT_READ)   = 0
mprotect(0xb77bc000, 4096, PROT_READ)   = 0
munmap(0xb7782000, 100644)              = 0
set_tid_address(0xb742c7e8)             = 3941
set_robust_list(0xb742c7f0, 12)         = 0
rt_sigaction(SIGRTMIN, {0xb743e410, [], SA_SIGINFO}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0xb743e4a0, [], SA_RESTART|SA_SIGINFO}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM_INFINITY}) = 0
uname({sys="Linux", node="localhost.localdomain", ...}) = 0
brk(0)                                  = 0xb8776000
brk(0xb8797000)                         = 0xb8797000
statfs64("/sys/fs/selinux", 84, 0xbfb31a4c) = -1 ENOENT (No such file or directory)
statfs64("/selinux", 84, 0xbfb31a4c)    = -1 ENOENT (No such file or directory)
open("/proc/filesystems", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb779a000
read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 1024) = 343
read(3, "", 1024)                       = 0
close(3)                                = 0
munmap(0xb779a000, 4096)                = 0
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=104789776, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb722c000
close(3)                                = 0
time(NULL)                              = 1380004418
open("/etc/localtime", O_RDONLY|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb779a000
read(3, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\4\0\0\0\4\0\0\0\0"..., 4096) = 3519
_llseek(3, -24, [3495], SEEK_CUR)       = 0
read(3, "\nEST5EDT,M3.2.0,M11.1.0\n", 4096) = 24
_llseek(3, 3518, [3518], SEEK_SET)      = 0
close(3)                                = 0
munmap(0xb779a000, 4096)                = 0
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
time(NULL)                              = 1380004418
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3519, ...}) = 0
rt_sigaction(SIGWINCH, {0xb77c68f0, [WINCH], SA_RESTART}, {SIG_DFL, [], 0}, 8) = 0
gettid()                                = 3941
mmap2(NULL, 278528, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb71e8000
openat(AT_FDCWD, "/run/log/journal", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 3
getdents64(3, /* 4 entries */, 32768)   = 160
open("/etc/machine-id", O_RDONLY|O_NOCTTY|O_LARGEFILE|O_CLOEXEC) = 4
read(4, "be41a5afb8ed43e3809487822206744f", 32) = 32
close(4)                                = 0
openat(AT_FDCWD, "/run/log/journal/be41a5afb8ed43e3809487822206744f", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 4
getdents64(4, /* 3 entries */, 32768)   = 88
open("/run/log/journal/be41a5afb8ed43e3809487822206744f/system.journal", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = 5
fstat64(5, {st_mode=S_IFREG|0640, st_size=1441792, ...}) = 0
mmap2(NULL, 4096, PROT_READ, MAP_SHARED, 5, 0) = 0xb779a000
mmap2(NULL, 1441792, PROT_READ, MAP_SHARED, 5, 0) = 0xb7088000
fstatfs64(5, 84, {f_type=0x1021994, f_bsize=4096, f_blocks=516980, f_bfree=516039, f_bavail=516039, f_files=212471, f_ffree=211831, f_fsid={0, 0}, f_namelen=255, f_frsize=4096, f_flags=38}) = 0
getdents64(4, /* 0 entries */, 32768)   = 0
fstatfs64(4, 84, {f_type=0x1021994, f_bsize=4096, f_blocks=516980, f_bfree=516039, f_bavail=516039, f_files=212471, f_ffree=211831, f_fsid={0, 0}, f_namelen=255, f_frsize=4096, f_flags=38}) = 0
close(4)                                = 0
openat(AT_FDCWD, "/run/log/journal/9bc6a4daaf5a408990d380562e370a4d", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 4
getdents64(4, /* 3 entries */, 32768)   = 88
open("/run/log/journal/9bc6a4daaf5a408990d380562e370a4d/system.journal", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = -1 EACCES (Permission denied)
open("/usr/share/locale/locale.alias", O_RDONLY|O_CLOEXEC) = 6
fstat64(6, {st_mode=S_IFREG|0644, st_size=2444, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7799000
read(6, "# Locale name alias data base.\n#"..., 4096) = 2444
read(6, "", 4096)                       = 0
close(6)                                = 0
munmap(0xb7799000, 4096)                = 0
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
getdents64(4, /* 0 entries */, 32768)   = 0
fstatfs64(4, 84, {f_type=0x1021994, f_bsize=4096, f_blocks=516980, f_bfree=516039, f_bavail=516039, f_files=212471, f_ffree=211831, f_fsid={0, 0}, f_namelen=255, f_frsize=4096, f_flags=38}) = 0
close(4)                                = 0
getdents64(3, /* 0 entries */, 32768)   = 0
fstatfs64(3, 84, {f_type=0x1021994, f_bsize=4096, f_blocks=516980, f_bfree=516039, f_bavail=516039, f_files=212471, f_ffree=211831, f_fsid={0, 0}, f_namelen=255, f_frsize=4096, f_flags=38}) = 0
close(3)                                = 0
openat(AT_FDCWD, "/var/log/journal", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
access("/var/log/journal", F_OK)        = -1 ENOENT (No such file or directory)
geteuid32()                             = 1000
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
connect(3, {sa_family=AF_FILE, sun_path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(3)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
connect(3, {sa_family=AF_FILE, sun_path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(3)                                = 0
open("/etc/nsswitch.conf", O_RDONLY|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=1697, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7799000
read(3, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1697
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7799000, 4096)                = 0
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=100644, ...}) = 0
mmap2(NULL, 100644, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb706f000
close(3)                                = 0
open("/lib/libnss_files.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\32\0\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=55112, ...}) = 0
mmap2(NULL, 50176, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb778d000
mmap2(0xb7798000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xa) = 0xb7798000
close(3)                                = 0
mprotect(0xb7798000, 4096, PROT_READ)   = 0
munmap(0xb706f000, 100644)              = 0
open("/etc/group", O_RDONLY|O_CLOEXEC)  = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=953, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb778c000
read(3, "root:x:0:\nbin:x:1:\ndaemon:x:2:\ns"..., 4096) = 953
close(3)                                = 0
munmap(0xb778c000, 4096)                = 0
getgid32()                              = 1000
getegid32()                             = 1000
open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 3
read(3, "65536\n", 31)                  = 6
close(3)                                = 0
getgroups32(65536, [10, 18, 135, 190, 1000]) = 5
geteuid32()                             = 1000
open("/etc/group", O_RDONLY|O_CLOEXEC)  = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=953, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb778c000
read(3, "root:x:0:\nbin:x:1:\ndaemon:x:2:\ns"..., 4096) = 953
close(3)                                = 0
munmap(0xb778c000, 4096)                = 0
getgid32()                              = 1000
getegid32()                             = 1000
open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 3
read(3, "65536\n", 31)                  = 6
close(3)                                = 0
getgroups32(65536, [10, 18, 135, 190, 1000]) = 5
inotify_init1(IN_NONBLOCK|IN_CLOEXEC)   = 3
openat(AT_FDCWD, "/run/log/journal", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 4
inotify_add_watch(3, "/run/log/journal", IN_MODIFY|IN_ATTRIB|IN_MOVED_TO|IN_CREATE|IN_DELETE|IN_ONLYDIR) = 1
getdents64(4, /* 4 entries */, 32768)   = 160
openat(AT_FDCWD, "/run/log/journal/be41a5afb8ed43e3809487822206744f", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 6
inotify_add_watch(3, "/run/log/journal/be41a5afb8ed43e3809487822206744f", IN_MODIFY|IN_ATTRIB|IN_MOVED_FROM|IN_MOVED_TO|IN_CREATE|IN_DELETE|IN_DELETE_SELF|IN_MOVE_SELF|IN_UNMOUNT|IN_ONLYDIR) = 2
getdents64(6, /* 3 entries */, 32768)   = 88
getdents64(6, /* 0 entries */, 32768)   = 0
fstatfs64(6, 84, {f_type=0x1021994, f_bsize=4096, f_blocks=516980, f_bfree=516039, f_bavail=516039, f_files=212471, f_ffree=211831, f_fsid={0, 0}, f_namelen=255, f_frsize=4096, f_flags=38}) = 0
close(6)                                = 0
openat(AT_FDCWD, "/run/log/journal/9bc6a4daaf5a408990d380562e370a4d", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 6
inotify_add_watch(3, "/run/log/journal/9bc6a4daaf5a408990d380562e370a4d", IN_MODIFY|IN_ATTRIB|IN_MOVED_FROM|IN_MOVED_TO|IN_CREATE|IN_DELETE|IN_DELETE_SELF|IN_MOVE_SELF|IN_UNMOUNT|IN_ONLYDIR) = 3
getdents64(6, /* 3 entries */, 32768)   = 88
open("/run/log/journal/9bc6a4daaf5a408990d380562e370a4d/system.journal", O_RDONLY|O_LARGEFILE|O_CLOEXEC) = -1 EACCES (Permission denied)
getdents64(6, /* 0 entries */, 32768)   = 0
fstatfs64(6, 84, {f_type=0x1021994, f_bsize=4096, f_blocks=516980, f_bfree=516039, f_bavail=516039, f_files=212471, f_ffree=211831, f_fsid={0, 0}, f_namelen=255, f_frsize=4096, f_flags=38}) = 0
close(6)                                = 0
getdents64(4, /* 0 entries */, 32768)   = 0
fstatfs64(4, 84, {f_type=0x1021994, f_bsize=4096, f_blocks=516980, f_bfree=516039, f_bavail=516039, f_files=212471, f_ffree=211831, f_fsid={0, 0}, f_namelen=255, f_frsize=4096, f_flags=38}) = 0
close(4)                                = 0
openat(AT_FDCWD, "/var/log/journal", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
ioctl(1, SNDCTL_TMR_TIMEBASE or SNDRV_TIMER_IOCTL_NEXT_DEVICE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, TIOCGWINSZ, {ws_row=63, ws_col=237, ws_xpixel=0, ws_ypixel=0}) = 0
pipe([4, 6])                            = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xb742c7e8) = 3942
dup2(6, 1)                              = 1
close(4)                                = 0
close(6)                                = 0
fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb778c000
write(1, "-- Logs begin at Tue 2013-09-24 "..., 85) = 85
close(1)                                = 0
munmap(0xb778c000, 4096)                = 0
kill(3942, SIGCONT)                     = 0
-- Logs begin at Tue 2013-09-24 02:06:11 EDT, end at Tue 2013-09-24 02:21:06 EDT. --
{si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=3942, si_status=0, si_utime=0, si_stime=0}, WEXITED, NULL) = 0
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=3942, si_status=0, si_utime=0, si_stime=0} ---
munmap(0xb7088000, 1441792)             = 0
munmap(0xb779a000, 4096)                = 0
close(5)                                = 0
inotify_rm_watch(3, 1)                  = 0
inotify_rm_watch(3, 2)                  = 0
inotify_rm_watch(3, 3)                  = 0
close(3)                                = 0
exit_group(0)                           = ?
+++ exited with 0 +++
Comment 4 mooz 2013-09-24 02:45:55 EDT
[gmann@localhost ~]$ cat /etc/systemd/journald.conf
#  This file is part of systemd.
#
#  systemd is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.
#
# See journald.conf(5) for details

[Journal]
#Storage=auto
#Compress=yes
#Seal=yes
#SplitMode=login
#SyncIntervalSec=5m
#RateLimitInterval=10s
#RateLimitBurst=200
#SystemMaxUse=
#SystemKeepFree=
#SystemMaxFileSize=
#RuntimeMaxUse=
#RuntimeKeepFree=
#RuntimeMaxFileSize=
#MaxRetentionSec=
#MaxFileSec=1month
#ForwardToSyslog=yes
#ForwardToKMsg=no
#ForwardToConsole=no
#TTYPath=/dev/console
#MaxLevelStore=debug
#MaxLevelSyslog=debug
#MaxLevelKMsg=notice
#MaxLevelConsole=info
Comment 5 Lennart Poettering 2013-09-29 13:49:57 EDT
I guess this is a misunderstanding. The message shown shows the time range of the available log dataset, not of the part that is actually shown. I guess we should clarify this in the output.
Comment 6 mooz 2013-09-30 15:08:14 EDT
I guess I must be still confused... are you implying that the misunderstanding is assuming that the --until - --since window will *not* produce the desired log entries?
Comment 7 Lennart Poettering 2013-09-30 20:14:59 EDT
This message:

-- Logs begin at Tue 2013-09-24 00:30:05 EDT, end at Tue 2013-09-24 01:41:24 EDT. --

tells you the length of the *entire* log history. i.e. the dates of the oldest log messages stored on your disk and the newest one.

Now, --until/--since will select a subset of this, and should work correctly. you will see that only in the actual log messages shown, but the special message above is unaffected.
Comment 8 mooz 2013-10-01 02:21:01 EDT
OK ... I think I understand where my confusion came from ... 

systemd-journald.service starts by default logging to a volatile logging location which will wipe your log data on each reboot, not knowing that it was doing this by default made me think I had a longer log history, so like you said I wasn't selecting a subset of a existing log data. It almost seems like the option between volatile or persistence should be made a little bit more aware (like in the configuration), unless I'm completely misunderstanding the purpose of the systemd journal...
Comment 9 Zbigniew Jędrzejewski-Szmek 2013-10-08 22:36:48 EDT
I tried to improve the messages, but it's hard to come up with something clear yet concise. If you come up with a clearer wording, please reopen.

Note You need to log in before you can comment on or make changes to this bug.